package com.llisoft.sms.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.google.common.base.Predicates;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * swagger配置
 * @author YangJie [2018年12月25日]
 */
@Configuration
@EnableSwagger2 // 启用swagger
@ConditionalOnProperty(name="mta.debug", havingValue="true") // 仅开发启用
public class SwaggerConfig {

	@Bean  
	public Docket docket() {  
		return new Docket(DocumentationType.SWAGGER_2)
			.apiInfo(new ApiInfoBuilder().title("短信服务API【sms】").version("v1.0.0").build())
			.directModelSubstitute(byte.class, int.class) //修正byte转string的Bug
			.select()
			// 文档中需要屏蔽的接口
			.paths(Predicates.not(PathSelectors.regex("/error.*")))
			.paths(Predicates.not(PathSelectors.regex("/actuator.*")))
			.build();
	}  
	
}
