package com.llisoft.sms.controller;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.llisoft.sms.config.MtaException;
import com.llisoft.sms.service.SmsService;
import com.llisoft.sms.util.ServletUtil;
import com.llisoft.sms.vo.CheckCodeRequestVo;
import com.llisoft.sms.vo.ResponseVo;
import com.llisoft.sms.vo.SendCodeRequestVo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags="【公共接口】")
@RestController
public class SmsController {
	
	@Autowired
	private SmsService smsService;
	
	
	@ApiOperation(value="发送验证码")
	@PostMapping("/sendCode")
	public ResponseVo<Boolean> sendCode(@Valid @RequestBody SendCodeRequestVo requestVo, HttpServletRequest request) throws Exception{
		return ResponseVo.success(smsService.sendCode(requestVo, ServletUtil.getIp(request)));
	}
	
	@ApiOperation(value="验证验证码")
	@PostMapping("/checkCode")
	public ResponseVo<Boolean> checkCode(@Valid @RequestBody CheckCodeRequestVo requestVo) throws MtaException{
		return ResponseVo.success(smsService.checkCode(requestVo.getPhone(), requestVo.getCode()));
	}
	
}
