package com.llisoft.sms.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;
import java.util.UUID;

/**
 * 生成各种随机码/随机数等
 * @author YangJie [2019年6月27日]
 */
public class CodeUtil {

	/**
	 * UUID
	 * @return
	 */
	public static String uuid() {
		return UUID.randomUUID().toString().replace("-", "").toLowerCase();
	}
	
	/**
	 * 当前时间精确到毫秒 + 5位随机数
	 * @return
	 */
	public static String time() {
		return new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date()) + ints(5);
	}
	
	/**
	 * 随机数字 (支持[1-10]位)
	 * @param n
	 * @return
	 */
	public static String ints(int n) {
		int min = (int)Math.pow(10, n-1);
		int max = (int)Math.pow(10, n) - min - 1;
		return String.valueOf(new Random().nextInt(max) + min);
	}
	
	/**
	 * 随机字符串 (支持[1-64]位)
	 * @param n
	 * @return
	 */
	public static String strs(int n) {
		String str = UUID.randomUUID().toString().replace("-", "");
		if (n>0 && n<=32) {
			return str.substring(0, n);
		}
		str += UUID.randomUUID().toString().replace("-", "");
		if (n>32 && n<=64) {
			return str.substring(0, n);
		}
		return null;
	}

}